{
  "name": "promo",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@ant-design/icons": "^5.4.0",
    "@emotion/react": "^11.13.3",
    "@emotion/styled": "^11.13.0",
    "@mui/material": "^6.0.0",
    "@testing-library/jest-dom": "^5.17.0",
    "@testing-library/react": "^13.4.0",
    "@testing-library/user-event": "^13.5.0",
    "@types/jest": "^27.5.2",
    "@types/node": "^16.18.105",
    "@types/react": "^18.3.3",
    "@types/react-dom": "^18.3.0",
    "@types/styled-components": "^5.1.34",
    "antd": "^5.20.1",
    "axios": "^1.7.4",
    "node-fetch": "^2.6.7",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "react-dotenv": "^0.1.3",
    "react-scripts": "5.0.1",
    "styled-components": "^6.1.12",
    "swiper": "^11.1.10",
    "typescript": "^4.9.5",
    "use-sound": "^4.0.3",
    "web-vitals": "^2.1.4"
  },
  "scripts": {
    "start": "react-dotenv && set port=5000 && react-scripts start",
    "json-server": "npx json-server data.json --port 3000",
    "build": "react-dotenv && react-scripts build",
    "test": "react-dotenv && react-scripts test",
    "eject": "react-dotenv && react-scripts eject",
    "storybook": "storybook dev -p 6006",
    "build-storybook": "storybook build"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest",
      "plugin:storybook/recommended"
    ]
  },

  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  
  "react-dotenv": {
    "whitelist": ["API_URL"]
  },

  "devDependencies": {
    "@chromatic-com/storybook": "^1.8.0",
    "@storybook/addon-essentials": "^8.2.9",
    "@storybook/addon-interactions": "^8.2.9",
    "@storybook/addon-links": "^8.2.9",
    "@storybook/addon-onboarding": "^8.2.9",
    "@storybook/blocks": "^8.2.9",
    "@storybook/preset-create-react-app": "^8.2.9",
    "@storybook/react": "^8.2.9",
    "@storybook/react-webpack5": "^8.2.9",
    "@storybook/test": "^8.2.9",
    "@types/node-fetch": "^2.6.11",
    "eslint-plugin-storybook": "^0.8.0",
    "prop-types": "^15.8.1",
    "storybook": "^8.2.9",
    "tailwindcss": "^3.4.10",
    "webpack": "^5.94.0"
  }
}
